%define name     pfstmo
%define version  1.0
%define release %mkrel 2

Summary: Tone mapping operators
Name:           %{name}
Version:        %{version}
Release:        %{release}
License: GPL
Group: Graphics
Source: http://www.mpi-inf.mpg.de/resources/tmo/%{name}-%{version}.tar.bz2
Patch0: pfstmo-gcc4.patch.bz2
Patch1: pfstmo-configure.patch.bz2
URL: http://www.mpi-inf.mpg.de/resources/tmo/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libpfs-devel fftw3-devel autoconf

%description
pfstmo package contains the implementation of state-of-the-art tone mapping
operators. The motivation here is to provide an implementation of tone mapping
operators suitable for convenient processing of both static images and
animations.

%prep
%setup -q
%patch0 -p1
%patch1

%build
autoreconf
%configure
%make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL TODO
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.0
+ Revision: 90100
- rebuild

  + Adam Williamson <awilliamson@mandriva.com>
    - Import pfstmo



* Sat Oct 29 2005 Couriousous <couriousous@mandriva.org> 1.0-1mdk
- Fix spec
- Upload into contrib

* Tue Oct 25 2005 Emmanuel Favre-Nicolin <manouchk@gmail.com>
  - initial RPM for mandriva 2005 LE

* Sun Oct 02 2004 Bruno Postle <bruno@postle.net>
  - initial RPM
